Package groovy.ui.text

# Class GroovyFilter

java.lang.Object
javax.swing.text.DocumentFilter
groovy.ui.text.StructuredSyntaxDocumentFilter
groovy.ui.text.GroovyFilter

public class GroovyFilter extends StructuredSyntaxDocumentFilter

Author:
  Evan "Hippy" Slatis

## Nested Class Summary

## Nested classes/interfaces inherited from class groovy.ui.text.StructuredSyntaxDocumentFilter

`StructuredSyntaxDocumentFilter.LexerNode, StructuredSyntaxDocumentFilter.MultiLineRun`

## Nested classes/interfaces inherited from class javax.swing.text.DocumentFilter

`DocumentFilter.FilterBypass`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`BINARY_INTEGER_LITERAL`
`static final String`
`COMMENT`
`static final String`
`DECIMAL_FLOATING_POINT_LITERAL`
`static final String`
`DECIMAL_INTEGER_LITERAL`
`static final String`
`DIGIT`
`static final String`
`HEX_INTEGER_LITERAL`
`static final String`
`HEXADECIMAL_FLOATING_POINT_LITERAL`
`static final String`
`IDENT`
`static final String`
`LEFT_PARENS`
`static final String`
`OCTAL_INTEGER_LITERAL`
`static final String`
`OPERATION`
`static final String`
`QUOTES`
`static final String`
`RESERVED_WORD`
`static final String[]`
`RESERVED_WORDS`
`static final String`
`SINGLE_QUOTES`
`static final String`
`SLASH_SLASH_COMMENT`
`static final String`
`SLASH_STAR_COMMENT`
`static final String`
`SLASHY_QUOTES`

### Fields inherited from class groovy.ui.text.StructuredSyntaxDocumentFilter

`lexer, mlTextRunSet, styledDocument, TAB_REPLACEMENT`

## Constructor Summary

Constructors
Constructor
Description
`GroovyFilter(DefaultStyledDocument doc)`
Creates a new instance of GroovyFilter

## Method Summary

Modifier and Type
Method
Description
`static void`
`installAutoTabAction(JTextComponent tComp)`

### Methods inherited from class groovy.ui.text.StructuredSyntaxDocumentFilter

`createLexerNode, getRootNode, insertString, parseDocument, remove, replace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### COMMENT

public static final String COMMENT

See Also:
  - Constant Field Values

### SLASH_STAR_COMMENT

public static final String SLASH_STAR_COMMENT

See Also:
  - Constant Field Values

### SLASH_SLASH_COMMENT

public static final String SLASH_SLASH_COMMENT

See Also:
  - Constant Field Values

### QUOTES

public static final String QUOTES

See Also:
  - Constant Field Values

### SINGLE_QUOTES

public static final String SINGLE_QUOTES

See Also:
  - Constant Field Values

### SLASHY_QUOTES

public static final String SLASHY_QUOTES

See Also:
  - Constant Field Values

### DIGIT

public static final String DIGIT

See Also:
  - Constant Field Values

### DECIMAL_INTEGER_LITERAL

public static final String DECIMAL_INTEGER_LITERAL

See Also:
  - Constant Field Values

### HEX_INTEGER_LITERAL

public static final String HEX_INTEGER_LITERAL

See Also:
  - Constant Field Values

### OCTAL_INTEGER_LITERAL

public static final String OCTAL_INTEGER_LITERAL

See Also:
  - Constant Field Values

### BINARY_INTEGER_LITERAL

public static final String BINARY_INTEGER_LITERAL

See Also:
  - Constant Field Values

### DECIMAL_FLOATING_POINT_LITERAL

public static final String DECIMAL_FLOATING_POINT_LITERAL

See Also:
  - Constant Field Values

### HEXADECIMAL_FLOATING_POINT_LITERAL

public static final String HEXADECIMAL_FLOATING_POINT_LITERAL

See Also:
  - Constant Field Values

### IDENT

public static final String IDENT

See Also:
  - Constant Field Values

### OPERATION

public static final String OPERATION

See Also:
  - Constant Field Values

### LEFT_PARENS

public static final String LEFT_PARENS

See Also:
  - Constant Field Values

### RESERVED_WORD

public static final String RESERVED_WORD

See Also:
  - Constant Field Values

### RESERVED_WORDS

public static final String[] RESERVED_WORDS

## Constructor Details

### GroovyFilter

public GroovyFilter(DefaultStyledDocument doc)
Creates a new instance of GroovyFilter

## Method Details

### installAutoTabAction

public static void installAutoTabAction(JTextComponent tComp)